{
  "openapi": "3.0.0",
  "info": {
    "version": "4",
    "title": "IBM Db2 as a Service REST API",
    "termsOfService": "http://www.ibm.com/software/sla/sladb.nsf",
    "x-try-it-out-enabled": true,
    "x-sdk-supported-languages": [
      "java",
      "node",
      "go",
      "python"
    ],
    "description": "## Introduction\n\nUse the IBM Db2 SaaS API to access data, view and create database objects, administer, and monitor your IBM Db2 SaaS service.\n\nThese APIs are applicable only for the **Standard and Enterprise Plans**.\n\nJava developers can use this SDK to interact with IBM Db2 SaaS.\n\nGithub\n\n<p>\n  <code><a href=\"https://github.com/ibmdb/java-db2\">https://github.com/ibmdb/java-db2</a></code>\n</p>\n\nNode (Javascript) developers can use this SDK to interact with IBM Db2 SaaS.\n\nGithub\n\n<p>\n  <code><a href=\"https://github.com/ibmdb/node-ibm_db\">https://github.com/ibmdb/node-ibm_db</a></code>\n</p>\n\nPython developers can use this SDK to interact with IBM Db2 SaaS.\n\nGithub\n\n<p>\n  <code><a href=\"https://github.com/ibmdb/python-ibmdb\">https://github.com/ibmdb/python-ibmdb</a></code>\n</p>\n\nGo developers can use this SDK to interact with IBM Db2 SaaS.\n\nGithub\n\n<p>\n  <code><a href=\"https://github.com/ibmdb/go_ibm_db\">https://github.com/ibmdb/go_ibm_db</a></code>\n</p>\n\n## Root URL\n\nThe context root for the IBM Db2 SaaS API is `/dbapi/v4/`.\n\n## Error handling\n\nThis API uses standard HTTP response codes to indicate whether a method completed successfully. A `200` response indicates success. A `400` type response is some sort of failure.\n\n## Security\n\nEvery request must include the `Authorization` HTTP header with the value `Bearer [access_token]`. An access token can be obtained in one of three ways:\n* Using the `/auth/tokens` endpoint\n* Creating an [IAM access token](https://cloud.ibm.com/apidocs/iam-identity-token-api#gettoken-password)\n* Generating an [IBM Cloud IAM oauth-token](https://cloud.ibm.com/docs/account?topic=account-iamtoken_from_apikey)\n\nThe token is used by IBM Db2 SaaS to identify who you are.\n\nEvery request must include the `X-Deployment-Id` HTTP header with the value of your IBM Db2 SaaS tenant deployment ID (The id starts with `crn`).\n\nSome API methods (for example: `/schemas` and  `/sql_jobs`) also support direct access to the database using HTTP headers.\n\nFor example:\n\n    X-DB-Userid:[database_user],\n    X-DB-Password:[database_password],\n    X-DB-URL:jdbc:db2://[host]:[port]/[database]:[property] for Db2 data sources\n    add dataservertype (DB2LUW, DB2Z) in property, if dataservertype key\n    for Db2 data source is not specified, the default is DB2LUW.\n\nIBM Db2 SaaS negotiates SSL connections using the TLS v1.2 protocol.\n\nIf you are using the latest version of cURL, protocol negotiation will happen automatically using TLS v1.2.\nIf you are using an older version of cURL, you will need to specify the `--tlsv1.2` option in your cURL commands.\n\n## Third-party libraries\n\nYou can optionally use the <span class=\"ph\" data-hd-programlang=\"java\">[okhttp](https://square.github.io/okhttp/#releases)</span> <span class=\"ph\" data-hd-programlang=\"javascript\">[jquery](https://code.jquery.com/jquery-3.5.0.min.js)</span> <span class=\"ph\" data-hd-programlang=\"python\">[httpclient](https://pypi.org/project/httpclient/)</span>third-party library to make requests to the console API.",
    "x-last-updated": "2025-06-25"
  },
  "security": [
    {
      "authToken": []
    },
    {
      "deploymentId": []
    }
  ],
  "paths": {
    "/auth/tokens": {
      "post": {
        "operationId": "Authenticate",
        "summary": "Request a new access token",
        "description": "Authenticates the user credentials and returns an access token that can be used when invoking the operations.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UserCredentials"
              }
            }
          },
          "description": "User credentials",
          "required": true
        },
        "x-codegen-request-body-name": "credentials",
        "security": [],
        "tags": [
          "Authentication"
        ],
        "responses": {
          "200": {
            "description": "Authentication token",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AuthenticationToken"
                }
              }
            }
          },
          "401": {
            "description": "Invalid credentials",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/auth/tokens\"\n\n\tpayload := strings.NewReader(\"{\\\"userid\\\":\\\"<ADD STRING VALUE>\\\",\\\"password\\\":\\\"<ADD STRING VALUE>\\\"}\")\n\n\treq, _ := http.NewRequest(\"POST\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"userid\\\":\\\"<ADD STRING VALUE>\\\",\\\"password\\\":\\\"<ADD STRING VALUE>\\\"}\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/auth/tokens\")\n  .post(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"POST\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/auth/tokens\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({userid: '<ADD STRING VALUE>', password: '<ADD STRING VALUE>'}));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"{\\\"userid\\\":\\\"<ADD STRING VALUE>\\\",\\\"password\\\":\\\"<ADD STRING VALUE>\\\"}\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"POST\", \"/dbapi/v4/auth/tokens\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST \\\n  https://{HOSTNAME}/dbapi/v4/auth/tokens \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '{\"userid\":\"<ADD STRING VALUE>\",\"password\":\"<ADD STRING VALUE>\"}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/auth/token/publickey": {
      "get": {
        "operationId": "GetPublicKey",
        "summary": "Returns public key of Json Web Token",
        "description": "Returns public key of Json Web Token.",
        "tags": [
          "Authentication"
        ],
        "responses": {
          "200": {
            "description": "Token public key and key id.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AuthenticationTokenPublicKey"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/auth/token/publickey\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/auth/token/publickey\")\n  .get()\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"GET\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/auth/token/publickey\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"GET\", \"/dbapi/v4/auth/token/publickey\", headers=headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET \\\n  https://{HOSTNAME}/dbapi/v4/auth/token/publickey \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/auth/password": {
      "put": {
        "operationId": "SetPassword",
        "summary": "Sets a new password using dswebToken",
        "description": "Sets a new password using the dswebToken obtained from /auth/reset.",
        "security": [],
        "tags": [
          "Authentication"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UserPasswordReset"
              }
            }
          },
          "description": "New password and dswebToken",
          "required": true
        },
        "x-codegen-request-body-name": "password",
        "responses": {
          "200": {
            "description": "Password changed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UserPasswordResetResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid or missing new password",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "403": {
            "description": "If dswebToken is missing or invalid",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/auth/password\"\n\n\tpayload := strings.NewReader(\"{\\\"password\\\":\\\"<ADD STRING VALUE>\\\",\\\"dswebToken\\\":\\\"<ADD STRING VALUE>\\\"}\")\n\n\treq, _ := http.NewRequest(\"PUT\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"password\\\":\\\"<ADD STRING VALUE>\\\",\\\"dswebToken\\\":\\\"<ADD STRING VALUE>\\\"}\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/auth/password\")\n  .put(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"PUT\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/auth/password\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({password: '<ADD STRING VALUE>', dswebToken: '<ADD STRING VALUE>'}));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"{\\\"password\\\":\\\"<ADD STRING VALUE>\\\",\\\"dswebToken\\\":\\\"<ADD STRING VALUE>\\\"}\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"PUT\", \"/dbapi/v4/auth/password\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X PUT \\\n  https://{HOSTNAME}/dbapi/v4/auth/password \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '{\"password\":\"<ADD STRING VALUE>\",\"dswebToken\":\"<ADD STRING VALUE>\"}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/schemas/obj_type/{obj_type}": {
      "get": {
        "operationId": "getSchema",
        "summary": "Query the list of object schemas",
        "description": "Query the list of object schemas.",
        "tags": [
          "Database Objects"
        ],
        "parameters": [
          {
            "name": "obj_type",
            "in": "path",
            "description": "Object type.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "table",
                "hadooptable",
                "view",
                "index",
                "mqt",
                "alias",
                "sequence",
                "procedure",
                "nickname",
                "udt",
                "function",
                "datalake_table"
              ]
            }
          },
          {
            "name": "search_name",
            "in": "query",
            "description": "Object type.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "show_systems",
            "in": "query",
            "description": "Whether to show system objects.",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                true,
                false
              ]
            }
          },
          {
            "name": "rows_return",
            "in": "query",
            "description": "The amount of return records.",
            "required": false,
            "schema": {
              "type": "string",
              "default": 500
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Query the list of object schemas.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ObjectListArray"
                }
              }
            }
          },
          "403": {
            "description": "Not authorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/schemas/obj_type/table?search_name=SYSIBM&show_systems=true&rows_return=50\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/schemas/obj_type/table?search_name=SYSIBM&show_systems=true&rows_return=50\")\n  .get()\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"GET\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/schemas/obj_type/table?search_name=SYSIBM&show_systems=true&rows_return=50\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"GET\", \"/dbapi/v4/admin/schemas/obj_type/table?search_name=SYSIBM&show_systems=true&rows_return=50\", headers=headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET \\\n  'https://{HOSTNAME}/dbapi/v4/admin/schemas/obj_type/table?search_name=SYSIBM&show_systems=true&rows_return=50' \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/schemas": {
      "post": {
        "operationId": "createSchema",
        "summary": "Create schema",
        "description": "Creates a new schema. Any user with enough database authority can create  schemas using dbapi directly. Regular users can create new schemas indirectly  by creating a new table or other database object and specifying the name of the new schema where the object will be placed.",
        "tags": [
          "Database Objects"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateSchemaReqBody"
              }
            }
          },
          "required": true
        },
        "x-codegen-request-body-name": "body",
        "responses": {
          "201": {
            "description": "Schema created.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Schema"
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters or schema already exists",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "403": {
            "description": "Only administrators can create schemas directly.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/schemas\"\n\n\tpayload := strings.NewReader(\"{\\\"name\\\":\\\"TESTSCHEMA\\\",\\\"authorization\\\":\\\"SYSIBM\\\"}\")\n\n\treq, _ := http.NewRequest(\"POST\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"name\\\":\\\"TESTSCHEMA\\\",\\\"authorization\\\":\\\"SYSIBM\\\"}\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/schemas\")\n  .post(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"POST\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/schemas\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({name: 'TESTSCHEMA', authorization: 'SYSIBM'}));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"{\\\"name\\\":\\\"TESTSCHEMA\\\",\\\"authorization\\\":\\\"SYSIBM\\\"}\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"POST\", \"/dbapi/v4/admin/schemas\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST \\\n  https://{HOSTNAME}/dbapi/v4/admin/schemas \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '{\"name\":\"TESTSCHEMA\",\"authorization\":\"SYSIBM\"}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/schemas/delete": {
      "put": {
        "operationId": "dropSchemas",
        "summary": "Drops multiple schemas",
        "description": "Drops multiple schema. An error is returned if the schema contains any objects.",
        "tags": [
          "Database Objects"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DropSchemaReqBody"
              }
            }
          },
          "required": true
        },
        "x-codegen-request-body-name": "body",
        "responses": {
          "200": {
            "description": "The schema was dropped successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StatusSuccess"
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "403": {
            "description": "Not authorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/schemas/delete\"\n\n\tpayload := strings.NewReader(\"[{\\\"name\\\":\\\"TESTSCHEMA\\\"}]\")\n\n\treq, _ := http.NewRequest(\"PUT\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"[{\\\"name\\\":\\\"TESTSCHEMA\\\"}]\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/schemas/delete\")\n  .put(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"PUT\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/schemas/delete\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify([{name: 'TESTSCHEMA'}]));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"[{\\\"name\\\":\\\"TESTSCHEMA\\\"}]\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"PUT\", \"/dbapi/v4/admin/schemas/delete\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X PUT \\\n  https://{HOSTNAME}/dbapi/v4/admin/schemas/delete \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '[{\"name\":\"TESTSCHEMA\"}]'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/privileges": {
      "get": {
        "operationId": "getSingleObjectPrivilege",
        "summary": "Get single object privilege",
        "description": "Get single object privilege.",
        "tags": [
          "Database Objects"
        ],
        "parameters": [
          {
            "name": "obj_type",
            "in": "query",
            "description": "Object type.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "TABLE",
                "VIEW",
                "DATABASE",
                "PROCEDURE",
                "FUNCTION",
                "MQT",
                "SEQUENCE",
                "HADOOP_TABLE",
                "NICKNAME",
                "SCHEMA",
                "UDT"
              ]
            }
          },
          {
            "name": "schema",
            "in": "query",
            "description": "Schema name of the object. For table and database, this parameter is not required.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "obj_name",
            "in": "query",
            "description": "Name of the object. For database, this parameter is not required.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "rows_return",
            "in": "query",
            "description": "The amount of return records.",
            "required": false,
            "schema": {
              "type": "string",
              "default": 1000
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Get object privilege.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PrivilegeObjectRspBody"
                }
              }
            }
          },
          "403": {
            "description": "Not authorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/privileges?obj_type=VIEW&schema=SYSCAT&obj_name=VIEWS&rows_return=10\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/privileges?obj_type=VIEW&schema=SYSCAT&obj_name=VIEWS&rows_return=10\")\n  .get()\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"GET\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/privileges?obj_type=VIEW&schema=SYSCAT&obj_name=VIEWS&rows_return=10\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"GET\", \"/dbapi/v4/admin/privileges?obj_type=VIEW&schema=SYSCAT&obj_name=VIEWS&rows_return=10\", headers=headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET \\\n  'https://{HOSTNAME}/dbapi/v4/admin/privileges?obj_type=VIEW&schema=SYSCAT&obj_name=VIEWS&rows_return=10' \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "post": {
        "operationId": "getObjectPrivilege",
        "summary": "Privilege list of selected objects",
        "description": "Privilege list of selected objects.",
        "tags": [
          "Database Objects"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/privilegsReqBody"
              }
            }
          },
          "required": true
        },
        "x-codegen-request-body-name": "privilegsReqBody",
        "responses": {
          "200": {
            "description": "Privilege list of selected objects",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/privilegsResBody"
                }
              }
            }
          },
          "400": {
            "description": "Get error when search authid",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "403": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "404": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/privileges\"\n\n\tpayload := strings.NewReader(\"{\\\"obj_type\\\":\\\"VIEW\\\",\\\"rows_return\\\":10,\\\"filter\\\":[{\\\"schema\\\":\\\"SYSCAT\\\",\\\"obj_name\\\":\\\"TABLES\\\"}]}\")\n\n\treq, _ := http.NewRequest(\"POST\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"obj_type\\\":\\\"VIEW\\\",\\\"rows_return\\\":10,\\\"filter\\\":[{\\\"schema\\\":\\\"SYSCAT\\\",\\\"obj_name\\\":\\\"TABLES\\\"}]}\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/privileges\")\n  .post(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"POST\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/privileges\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({\n  obj_type: 'VIEW',\n  rows_return: 10,\n  filter: [{schema: 'SYSCAT', obj_name: 'TABLES'}]\n}));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"{\\\"obj_type\\\":\\\"VIEW\\\",\\\"rows_return\\\":10,\\\"filter\\\":[{\\\"schema\\\":\\\"SYSCAT\\\",\\\"obj_name\\\":\\\"TABLES\\\"}]}\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"POST\", \"/dbapi/v4/admin/privileges\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST \\\n  https://{HOSTNAME}/dbapi/v4/admin/privileges \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '{\"obj_type\":\"VIEW\",\"rows_return\":10,\"filter\":[{\"schema\":\"SYSCAT\",\"obj_name\":\"TABLES\"}]}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "put": {
        "operationId": "modifyPrivileges",
        "summary": "Grant or revoke privileges",
        "description": "Grant or revoke privileges",
        "tags": [
          "Database Objects"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/privilegesChangeReqBody"
              }
            }
          },
          "required": true
        },
        "x-codegen-request-body-name": "privilegesChangeReqBody",
        "responses": {
          "200": {
            "description": "The status of grant or revoke",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/privilegeRunSuccessResBody"
                }
              }
            }
          },
          "400": {
            "description": "Get error when grant or revoke",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "403": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "404": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/privileges\"\n\n\tpayload := strings.NewReader(\"{\\\"stop_on_error\\\":true,\\\"privileges\\\":[{\\\"schema\\\":\\\"SYSCAT\\\",\\\"obj_name\\\":\\\"TABLES\\\",\\\"obj_type\\\":\\\"VIEW\\\",\\\"grantee\\\":{\\\"authid\\\":\\\"PUBLIC\\\",\\\"authid_type\\\":\\\"GROUP\\\"},\\\"grant\\\":[\\\"select\\\"],\\\"revoke\\\":[\\\"insert\\\"]}]}\")\n\n\treq, _ := http.NewRequest(\"PUT\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"stop_on_error\\\":true,\\\"privileges\\\":[{\\\"schema\\\":\\\"SYSCAT\\\",\\\"obj_name\\\":\\\"TABLES\\\",\\\"obj_type\\\":\\\"VIEW\\\",\\\"grantee\\\":{\\\"authid\\\":\\\"PUBLIC\\\",\\\"authid_type\\\":\\\"GROUP\\\"},\\\"grant\\\":[\\\"select\\\"],\\\"revoke\\\":[\\\"insert\\\"]}]}\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/privileges\")\n  .put(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"PUT\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/privileges\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({\n  stop_on_error: true,\n  privileges: [\n    {\n      schema: 'SYSCAT',\n      obj_name: 'TABLES',\n      obj_type: 'VIEW',\n      grantee: {authid: 'PUBLIC', authid_type: 'GROUP'},\n      grant: ['select'],\n      revoke: ['insert']\n    }\n  ]\n}));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"{\\\"stop_on_error\\\":true,\\\"privileges\\\":[{\\\"schema\\\":\\\"SYSCAT\\\",\\\"obj_name\\\":\\\"TABLES\\\",\\\"obj_type\\\":\\\"VIEW\\\",\\\"grantee\\\":{\\\"authid\\\":\\\"PUBLIC\\\",\\\"authid_type\\\":\\\"GROUP\\\"},\\\"grant\\\":[\\\"select\\\"],\\\"revoke\\\":[\\\"insert\\\"]}]}\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"PUT\", \"/dbapi/v4/admin/privileges\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X PUT \\\n  https://{HOSTNAME}/dbapi/v4/admin/privileges \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '{\"stop_on_error\":true,\"privileges\":[{\"schema\":\"SYSCAT\",\"obj_name\":\"TABLES\",\"obj_type\":\"VIEW\",\"grantee\":{\"authid\":\"PUBLIC\",\"authid_type\":\"GROUP\"},\"grant\":[\"select\"],\"revoke\":[\"insert\"]}]}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/schemas/ddl": {
      "post": {
        "operationId": "generateSchemaDDL",
        "summary": "Generate schema DDL",
        "description": "Generate schema DDL.",
        "tags": [
          "Database Objects"
        ],
        "parameters": [
          {
            "name": "action",
            "in": "query",
            "description": "Type of operation.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "more"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/GenerateSchemaDDLReqBody"
              }
            }
          },
          "required": true
        },
        "x-codegen-request-body-name": "body",
        "responses": {
          "200": {
            "description": "Generate schema DDL.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SQLCommand"
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/schemas/ddl?action=more\"\n\n\tpayload := strings.NewReader(\"{\\\"objects\\\":[{\\\"schema\\\":\\\"SCHEMA_NAME\\\"}],\\\"options\\\":[{}],\\\"stat_terminator\\\":\\\";\\\"}\")\n\n\treq, _ := http.NewRequest(\"POST\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"objects\\\":[{\\\"schema\\\":\\\"SCHEMA_NAME\\\"}],\\\"options\\\":[{}],\\\"stat_terminator\\\":\\\";\\\"}\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/schemas/ddl?action=more\")\n  .post(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"POST\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/schemas/ddl?action=more\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({objects: [{schema: 'SCHEMA_NAME'}], options: [{}], stat_terminator: ';'}));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"{\\\"objects\\\":[{\\\"schema\\\":\\\"SCHEMA_NAME\\\"}],\\\"options\\\":[{}],\\\"stat_terminator\\\":\\\";\\\"}\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"POST\", \"/dbapi/v4/admin/schemas/ddl?action=more\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST \\\n  'https://{HOSTNAME}/dbapi/v4/admin/schemas/ddl?action=more' \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '{\"objects\":[{\"schema\":\"SCHEMA_NAME\"}],\"options\":[{}],\"stat_terminator\":\";\"}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/tables": {
      "put": {
        "operationId": "createTable",
        "summary": "Create a new table",
        "description": "Create a new table.",
        "tags": [
          "Database Objects"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAlterTableReqBody"
              }
            }
          },
          "required": true
        },
        "x-codegen-request-body-name": "body",
        "responses": {
          "201": {
            "description": "The table was created successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StatusSuccess"
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "403": {
            "description": "Not authorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/tables\"\n\n\tpayload := strings.NewReader(\"{\\\"schema\\\":\\\"TABLE_SCHEMA\\\",\\\"table\\\":\\\"TABLE_NAME\\\",\\\"objStorage\\\":\\\"Y\\\",\\\"column_info\\\":[{\\\"data_type\\\":\\\"DECIMAL\\\",\\\"length\\\":5,\\\"scale\\\":{},\\\"column_name\\\":\\\"COL_NAME\\\",\\\"nullable\\\":true}]}\")\n\n\treq, _ := http.NewRequest(\"PUT\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"schema\\\":\\\"TABLE_SCHEMA\\\",\\\"table\\\":\\\"TABLE_NAME\\\",\\\"objStorage\\\":\\\"Y\\\",\\\"column_info\\\":[{\\\"data_type\\\":\\\"DECIMAL\\\",\\\"length\\\":5,\\\"scale\\\":{},\\\"column_name\\\":\\\"COL_NAME\\\",\\\"nullable\\\":true}]}\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/tables\")\n  .put(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"PUT\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/tables\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({\n  schema: 'TABLE_SCHEMA',\n  table: 'TABLE_NAME',\n  objStorage: 'Y',\n  column_info: [\n    {\n      data_type: 'DECIMAL',\n      length: 5,\n      scale: {},\n      column_name: 'COL_NAME',\n      nullable: true\n    }\n  ]\n}));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"{\\\"schema\\\":\\\"TABLE_SCHEMA\\\",\\\"table\\\":\\\"TABLE_NAME\\\",\\\"objStorage\\\":\\\"Y\\\",\\\"column_info\\\":[{\\\"data_type\\\":\\\"DECIMAL\\\",\\\"length\\\":5,\\\"scale\\\":{},\\\"column_name\\\":\\\"COL_NAME\\\",\\\"nullable\\\":true}]}\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"PUT\", \"/dbapi/v4/admin/tables\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X PUT \\\n  https://{HOSTNAME}/dbapi/v4/admin/tables \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '{\"schema\":\"TABLE_SCHEMA\",\"table\":\"TABLE_NAME\",\"objStorage\":\"Y\",\"column_info\":[{\"data_type\":\"DECIMAL\",\"length\":5,\"scale\":{},\"column_name\":\"COL_NAME\",\"nullable\":true}]}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/tables/delete": {
      "put": {
        "operationId": "dropTables",
        "summary": "Drop multiple tables",
        "description": "Drop multiple tables.",
        "tags": [
          "Database Objects"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DropTableReqBody"
              }
            }
          },
          "required": true
        },
        "x-codegen-request-body-name": "body",
        "responses": {
          "200": {
            "description": "The alias was dropped successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StatusSuccess"
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "403": {
            "description": "Not authorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "404": {
            "description": "Object not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/tables/delete\"\n\n\tpayload := strings.NewReader(\"[{\\\"schema\\\":\\\"TABLE_SCHEMA\\\",\\\"table\\\":\\\"TABLE_NAME\\\"}]\")\n\n\treq, _ := http.NewRequest(\"PUT\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"[{\\\"schema\\\":\\\"TABLE_SCHEMA\\\",\\\"table\\\":\\\"TABLE_NAME\\\"}]\");\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/tables/delete\")\n  .put(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"PUT\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/tables/delete\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify([{schema: 'TABLE_SCHEMA', table: 'TABLE_NAME'}]));\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\npayload = \"[{\\\"schema\\\":\\\"TABLE_SCHEMA\\\",\\\"table\\\":\\\"TABLE_NAME\\\"}]\"\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"PUT\", \"/dbapi/v4/admin/tables/delete\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X PUT \\\n  https://{HOSTNAME}/dbapi/v4/admin/tables/delete \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}' \\\n  -d '[{\"schema\":\"TABLE_SCHEMA\",\"table\":\"TABLE_NAME\"}]'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/schemas/{schema_name}/tables/{table_name}/definition": {
      "get": {
        "operationId": "getTablesDefinition",
        "summary": "Get table definition",
        "description": "Get table definition.",
        "tags": [
          "Database Objects"
        ],
        "parameters": [
          {
            "name": "schema_name",
            "in": "path",
            "description": "Schema name of the object.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "table_name",
            "in": "path",
            "description": "Table name.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Get table definition.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TableDefinition"
                }
              }
            }
          },
          "403": {
            "description": "Not authorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "404": {
            "description": "Object not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/definition\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/definition\")\n  .get()\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"GET\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/definition\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"GET\", \"/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/definition\", headers=headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET \\\n  https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/definition \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/schemas/{schema_name}/tables/{table_name}/data": {
      "get": {
        "operationId": "getTableData",
        "summary": "Query table data",
        "description": "Fetches the table data up to a maximum of 100,000 rows. Currently it's not possible to retrieve data from tables that contain CLOB, BLOB or DBCLOB values.",
        "tags": [
          "Database Objects"
        ],
        "parameters": [
          {
            "name": "schema_name",
            "in": "path",
            "description": "Schema name of the object.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "table_name",
            "in": "path",
            "description": "Table name.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "rows_return",
            "in": "query",
            "description": "The amount of return records.",
            "required": false,
            "schema": {
              "type": "integer",
              "default": 1000
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned result was successful.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TableData"
                }
              }
            }
          },
          "403": {
            "description": "Not authorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "404": {
            "description": "Object not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/data?rows_return=1000\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/data?rows_return=1000\")\n  .get()\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"GET\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/data?rows_return=1000\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"GET\", \"/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/data?rows_return=1000\", headers=headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET \\\n  'https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/data?rows_return=1000' \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/schemas/{schema_name}/tables/{table_name}/columns/{column_name}/properties": {
      "get": {
        "operationId": "getcolumnsDetailProperties",
        "summary": "Get column detail properties",
        "description": "Get column detail properties.",
        "tags": [
          "Database Objects"
        ],
        "parameters": [
          {
            "name": "schema_name",
            "in": "path",
            "description": "Schema name of the object.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "table_name",
            "in": "path",
            "description": "Table name.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "column_name",
            "in": "path",
            "description": "Column name.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Get column detail properties.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ColumnProperty"
                }
              }
            }
          },
          "403": {
            "description": "Not authorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "404": {
            "description": "Object not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/columns/CREATE_TIME/properties\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "OkHttpClient client = new OkHttpClient();\n\nRequest request = new Request.Builder()\n  .url(\"https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/columns/CREATE_TIME/properties\")\n  .get()\n  .addHeader(\"content-type\", \"application/json\")\n  .addHeader(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n  .addHeader(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "var http = require(\"https\");\n\nvar options = {\n  \"method\": \"GET\",\n  \"hostname\": \"{HOSTNAME}\",\n  \"port\": null,\n  \"path\": \"/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/columns/CREATE_TIME/properties\",\n  \"headers\": {\n    \"content-type\": \"application/json\",\n    \"authorization\": \"Bearer {AUTH_TOKEN}\",\n    \"x-deployment-id\": \"{DEPLOYMENT_ID}\"\n  }\n};\n\nvar req = http.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.end();"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "import http.client\n\nconn = http.client.HTTPSConnection(\"{HOSTNAME}\")\n\nheaders = {\n    'content-type': \"application/json\",\n    'authorization': \"Bearer {AUTH_TOKEN}\",\n    'x-deployment-id': \"{DEPLOYMENT_ID}\"\n    }\n\nconn.request(\"GET\", \"/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/columns/CREATE_TIME/properties\", headers=headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET \\\n  https://{HOSTNAME}/dbapi/v4/admin/schemas/SYSIBM/tables/SYSROLES/columns/CREATE_TIME/properties \\\n  -H 'authorization: Bearer {AUTH_TOKEN}' \\\n  -H 'content-type: application/json' \\\n  -H 'x-deployment-id: {DEPLOYMENT_ID}'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/admin/tables/meta/datatype": {
      "get": {
        "operationId": "getMetaDataTypes.",
        "summary": "Get the metadata type",
        "description": "Get the metadata type.",
        "tags": [
          "Database Objects"
        ],
        "responses": {
          "200": {
            "description": "Get the metadata type.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MetaDataTypeRspBody"
                }
              }
            }
          },
          "default": {
            "description": "Error payload",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorContainer"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://{HOSTNAME}/dbapi/v4/admin/tables/meta/datatype\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\treq.Header.Add(\"authorization\", \"Bearer {AUTH_TOKEN}\")\n\treq.Header.Add(\"x-deployment-id\", \"{DEPLOYMENT_ID}\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
[...]
